import * as s3 from '@aws-cdk/aws-s3';
import * as cdk from '@aws-cdk/core';
import { GlueVersion, GlueWorkerType } from './glue-job';
export interface GlueNotebookProperties {
    readonly notebookName: string;
    readonly notebookInstanceType: string;
    readonly workerType: GlueWorkerType;
    readonly glueVersion: GlueVersion;
    readonly numberOfWorkers: number;
    readonly region: string;
    readonly accountId: string;
    readonly stage: string;
    readonly readAccessBuckets?: s3.IBucket[];
    readonly writeAccessBuckets?: s3.IBucket[];
    readonly database: string;
}
export declare class GlueNotebook extends cdk.Construct {
    constructor(scope: cdk.Construct, id: string, props: GlueNotebookProperties);
}
